limited with ms_string;
package ms_text is
   type Typ is tagged null record;
   type Ref is access all Typ'Class;
   function Get_Text(This : access Typ) return access ms_string.typ'class;
end ms_text;
